Subject: Re: bug#22976: 24.5; setting unread-command-events to non cons puts emacs in 100% CPU use

From: Eyal Lotem <[email-masked]>
Date: Thu, 10 Mar 2016 09:47:46 +0000

I don't, but some buggy packages I use do!

Instead of wasting me hours chasing these bugs, why not output an explicit
error and set the var to nil?

This behavior caused the bug in the first place (subtle enough wrong
behavior instead of explicit error made it go unnoticed).

I'm not the first one to waste hours on this...

On Thu, Mar 10, 2016, 11:42 Andreas Schwab <[email-masked]> wrote:

> Eyal Lotem <[email-masked]> writes:
>
> > As can be reproduced easily:
> >
> > (setq unread-command-events 1) -- emacs now at 100% CPU
> > (setq unread-command-events nil) -- emacs OK again
>
> Don't do that then.
>
> Andreas.
>
> --
> Andreas Schwab, SUSE Labs, [email-masked]
> GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
> "And now for something completely different."
>